### Hierarchy

- unknown
  - BuyerAsMakerTrade

## Index

### Constructors

- constructor

### Methods

- clearTrade
- getTrade
- hasTrade
- serializeBinary
- setTrade
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new BuyerAsMakerTrade(): BuyerAsMakerTrade

- Inherited from jspb.Message.constructor

  #### Returns BuyerAsMakerTrade

## Methods

### clearTrade

- clearTrade(): BuyerAsMakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6887

  #### Returns BuyerAsMakerTrade

### getTrade

- getTrade(): undefined | Trade

- - Defined in src/protobuf/pb_pb.d.ts:6884

  #### Returns undefined | Trade

### hasTrade

- hasTrade(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6886

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6889

  #### Returns Uint8Array

### setTrade

- setTrade(value?: Trade ): BuyerAsMakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6885

  #### Parameters

  - ##### Optional value: Trade

  #### Returns BuyerAsMakerTrade

### toObject

- toObject(includeInstance?: boolean): BuyerAsMakerTrade . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6890

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns BuyerAsMakerTrade . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): BuyerAsMakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6893

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BuyerAsMakerTrade

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BuyerAsMakerTrade, reader: BinaryReader): BuyerAsMakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6894

  #### Parameters

  - ##### message: BuyerAsMakerTrade

  - ##### reader: BinaryReader

  #### Returns BuyerAsMakerTrade

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: BuyerAsMakerTrade, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6892

  #### Parameters

  - ##### message: BuyerAsMakerTrade

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: BuyerAsMakerTrade ): BuyerAsMakerTrade . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6891

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BuyerAsMakerTrade

  #### Returns BuyerAsMakerTrade . AsObject

Generated using TypeDoc